﻿using IRaCIS.Core.Domain.Share;
using System;
using System.ComponentModel.DataAnnotations.Schema;

namespace IRaCIS.Core.Domain.Models
{
    public class QCChallengeDialog : BaseAddAuditEntity
    {
        #region 导航属性
        [JsonIgnore]
        public QCChallenge QCChallenge { get; set; }
        [JsonIgnore]
        [ForeignKey("CreateUserId")]
        public User CreateUser { get; set; }
        #endregion

        public string TalkContent { get; set; } = string.Empty;

        public Guid QCChallengeId { get; set; }

        public Guid SubjectVisitId { get; set; }

        public UserTypeEnum UserTypeEnum { get; set; }
    }
}